Re: [algogeeks] Find the number with maximum frequency in an array. Better than O(nlogn + n) time complexity

2010-06-01 Thread janak chandarana
On Mon, May 31, 2010 at 10:01 PM, souravsain souravs...@gmail.com wrote: Hi All This is my first post to this community and so am exited. The problem is to find the no. that has maximum frequency in an array (size n) of integers. The approach to use a hash table, itereate through array

Re: [algogeeks] Find the number with maximum frequency in an array. Better than O(nlogn + n) time complexity

2010-06-01 Thread Nikhil Agarwal
This question has already been discussed here.There are 4-5 methods to do this ,best is 'Moore voting algorithm' . refer: http://geeksforgeeks.org/?p=503 On Mon, May 31, 2010 at 10:01 PM, souravsain souravs...@gmail.com wrote: Hi All This is my first post to this community and so am

Re: [algogeeks] Find the number with maximum frequency in an array. Better than O(nlogn + n) time complexity

2010-06-01 Thread harit agarwal
see this .vote majority algorithm.. http://userweb.cs.utexas.edu/~moore/best-ideas/mjrty/index.html -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this group, send email to algoge...@googlegroups.com. To unsubscribe from this

Re: [algogeeks] Find the number with maximum frequency in an array. Better than O(nlogn + n) time complexity

2010-06-01 Thread Terence
This is a different problem, where the requested number with maximum frequency is not necessary majority. On 2010-6-1 13:19, harit agarwal wrote: see this .vote majority algorithm.. http://userweb.cs.utexas.edu/~moore/best-ideas/mjrty/index.html

[algogeeks] Implementing 2 stacks within a single linear array

2010-06-01 Thread Raj N
Hi all, Can someone suggest me an efficient way to implement 2 stacks within a single linear array assuming neither of the stack overflows and an entire stack is never shifted to a different location within the array. -- You received this message because you are subscribed to the Google Groups

Re: [algogeeks] Re: partion of array

2010-06-01 Thread Jitendra Kushwaha
Using subset sum method we can solve this. It actually DP check out Paybill question and its solution on topcoder website link : http://www.topcoder.com/stat?c=problem_statementpm=3114rd=5865 you will have a better understanding of subset sum problem after this -- Regards Jitendra Kushwaha

Re: [algogeeks] Implementing 2 stacks within a single linear array

2010-06-01 Thread Sudarshan Reddy M
Hi, the stacks can implemented in the array one is starting at the begin and other is starting at the end growing in opposite directions. If the stack tops are colloid then there is no space left; means no room for extra elemnts. Thanks Sudarshan. On Tue, Jun 1, 2010 at 2:11 PM, Raj N

Re: [algogeeks] Implementing 2 stacks within a single linear array

2010-06-01 Thread Jitendra Kushwaha
Start the first stack from the starting of the array and the second array from the end as shown below -- 0

[algogeeks] Check if 2 linked lists are identical

2010-06-01 Thread Raj N
Hi all, Can someone suggest an efficient algorithm to check if 2 linked lists are identical. If 2 lists have to be sorted then there'll be a lot of space consumption for 2 separate linked lists. Can the whole process be done O(n2) -- You received this message because you are subscribed to the

Re: [algogeeks] Implementing 2 stacks within a single linear array

2010-06-01 Thread Raj N
How to implement 3 stacks using the same? On Tue, Jun 1, 2010 at 8:59 PM, Sudarshan Reddy M sudarsha...@gmail.comwrote: Hi, the stacks can implemented in the array one is starting at the begin and other is starting at the end growing in opposite directions. If the stack tops are colloid then

[algogeeks] Re: Find the number with maximum frequency in an array. Better than O(nlogn + n) time complexity

2010-06-01 Thread Veer Sharma
Hi Janak Thanks for your reply and good that we are exited. But if you see the problem, this approach is already known which has space complexity of O(n). But this if you are lucky that the array has numbers which are not more than n itself. If the given array is say 1000 size and it has numbers

Re: [algogeeks] Check if 2 linked lists are identical

2010-06-01 Thread sharad kumar
@Raj:sorting can be done in O(nlogn)..sort both and compare both.or use a hash map to store all elements of one LL and then compare it with otheror combine both the LL perform merge sort and start deleting adjacent elements.if adjacent elements in equal count then LL are equal and at end of

[algogeeks] Re: Implementing 2 stacks within a single linear array

2010-06-01 Thread Gene
On Jun 1, 2:27 pm, Raj N rajn...@gmail.com wrote: How to implement 3 stacks using the same? On Tue, Jun 1, 2010 at 8:59 PM, Sudarshan Reddy M sudarsha...@gmail.comwrote: Hi, the stacks can implemented in the array one is starting at the begin and other is starting at the end growing